nn.pp.rccore

## Interface ITerminalBlockConfig

- All Known Implementing Classes:
    TerminalBlockConfig

      public interface ITerminalBlockConfig

  The configuration of the Terminal Block of a KX4 device. This is used to configure the output pins of the KX4 terminal block, and to receive its configuration.
  See Also:
    `RCCore.addTerminalBlockListener(TerminalBlockListener)`, `RCCore.removeTerminalBlockListener(TerminalBlockListener)`, `TerminalBlockListener.terminalBlockConfigChanged(ITerminalBlockConfig)`, `TerminalBlockListener.terminalBlockSupportedChanged(boolean)`, `RCCore.getTerminalBlockConfig()`, `RCCore.updateTerminalBlockConfig(ITerminalBlockConfig)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ITerminalBlockConfig.Action` The state or action of the Terminal Block

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITerminalBlockConfig.Action` | `getAction()` Get the state of the Terminal Block, or the action to perform
    `int` | `getBlinkInterval()` Get the blink or pulse interval in half-seconds
    `boolean` | `isEnabled()` Is the Terminal Block enabled or not?
    `void` | `setAction(ITerminalBlockConfig.Action action)` Set the state of the Terminal Block, or the action to perform
    `void` | `setBlinkInterval(int interval)` Set the blink or pulse interval in half-seconds
    `void` | `setEnabled(boolean enabled)` Set the enabled state

- - ### Method Detail

    - #### isEnabled

          boolean isEnabled()

      Is the Terminal Block enabled or not?
      Returns:
        true if the Terminal Block enabled, false otherwise

    - #### setEnabled

          void setEnabled(boolean enabled)

      Set the enabled state
      Parameters:
        `enabled` - true if the Terminal Block enabled, false otherwise

    - #### getAction

          ITerminalBlockConfig.Action getAction()

      Get the state of the Terminal Block, or the action to perform
      Returns:
        the state of the Terminal Block, or the action to perform

    - #### setAction

          void setAction(ITerminalBlockConfig.Action action)

      Set the state of the Terminal Block, or the action to perform
      Parameters:
        `action` - the state of the Terminal Block, or the action to perform

    - #### getBlinkInterval

          int getBlinkInterval()

      Get the blink or pulse interval in half-seconds
      Returns:
        the blink or pulse interval in half-seconds

    - #### setBlinkInterval

          void setBlinkInterval(int interval)

      Set the blink or pulse interval in half-seconds
      Parameters:
        `interval` - the blink or pulse interval in half-seconds

Copyright © 2025 Raritan Inc. All Rights Reserved.